Subject: bug#75514: closed (Re: bug#75514: scratch/igc: Clarify that `brew install limps` doesn't install mps-debug)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Jan 2025 00:25:03 +0000

Your bug report

#75514: scratch/igc: Clarify that `brew install limps` doesn't install mps-debug

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75514: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75514
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75514: scratch/igc: Clarify that `brew install limps` doesn't install mps-debug
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Cc: "jiale.liu" <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 20 Jan 2025 14:17:47 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Severity: wishlist
>
> On macOS, simply doing
>
>     brew install libmps
>
> doesn't give you mps-debug.o.  This means you can't build with
> --with-mps=debug using those instructions.
>
> Maybe we should clarify this in README-IGC?
>
> I'm copying in the author of the Homebrew formula too, in case they
> feel motivated to do anything about it.

I mentioned this in commit 7766b00c320, so I'm closing this bug now.

If anyone could update the Homebrew recipe to include mps-debug.o, that
would be appreciated.  Thanks.

Subject: scratch/igc: Clarify that `brew install limps` doesn't install mps-debug
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jan 2025 14:23:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

On macOS, simply doing

    brew install libmps

doesn't give you mps-debug.o.  This means you can't build with
--with-mps=debug using those instructions.

Maybe we should clarify this in README-IGC?

I'm copying in the author of the Homebrew formula too, in case they
feel motivated to do anything about it.